using System;
namespace HaTeam.Dd.Model
{
	/// <summary>
	/// Dd_Video:实体类(属性说明自动提取数据库字段的描述信息)
	/// </summary>
	[Serializable]
	public partial class Dd_Video
	{
		public Dd_Video()
		{}
		#region Model
		private int _video_id;
		private int _user_id;
		private string _video_address;
		private string _video_radiourl;
		private string _video_imageurl;
		private string _video_description;
		private string _video_tag;
		private int? _video_originid;
		private int? _video_publishmode=0;
		private bool? _video_puttop= false;
		private int? _video_fever=0;
		private string _video_guid;
		private DateTime? _video_datetime= DateTime.Now;
		private DateTime? _video_updatetime= DateTime.Now;
		private int? _video_verify;
		private int? _video_lock;
		private int? _video_state;
		private int? _video_delete;
		private int? _video_count;
		private int? _video_order=4;
		private string _video_remark;
		/// <summary>
		/// 视频的唯一标识
		/// </summary>
		public int Video_ID
		{
			set{ _video_id=value;}
			get{return _video_id;}
		}
		/// <summary>
		/// 视频的拥有者用户ID作外键
		/// </summary>
		public int User_ID
		{
			set{ _user_id=value;}
			get{return _user_id;}
		}
		/// <summary>
		/// 视频链接地址
		/// </summary>
		public string Video_Address
		{
			set{ _video_address=value;}
			get{return _video_address;}
		}
		/// <summary>
		/// 视频播放地址
		/// </summary>
		public string Video_Radiourl
		{
			set{ _video_radiourl=value;}
			get{return _video_radiourl;}
		}
		/// <summary>
		/// 视频预览地址
		/// </summary>
		public string Video_Imageurl
		{
			set{ _video_imageurl=value;}
			get{return _video_imageurl;}
		}
		/// <summary>
		/// 视频的描述
		/// </summary>
		public string Video_Description
		{
			set{ _video_description=value;}
			get{return _video_description;}
		}
		/// <summary>
		/// 视频标签
		/// </summary>
		public string Video_Tag
		{
			set{ _video_tag=value;}
			get{return _video_tag;}
		}
		/// <summary>
		/// 
		/// </summary>
		public int? Video_OriginId
		{
			set{ _video_originid=value;}
			get{return _video_originid;}
		}
		/// <summary>
		/// 发布状态1立即发布2保存在草稿3加入到自动发布列表4紧自己可见
		/// </summary>
		public int? Video_PublishMode
		{
			set{ _video_publishmode=value;}
			get{return _video_publishmode;}
		}
		/// <summary>
		/// 是否置顶默认置顶
		/// </summary>
		public bool? Video_PutTop
		{
			set{ _video_puttop=value;}
			get{return _video_puttop;}
		}
		/// <summary>
		/// 热度即浏览量
		/// </summary>
		public int? Video_Fever
		{
			set{ _video_fever=value;}
			get{return _video_fever;}
		}
		/// <summary>
		/// 数据库表唯一性标识
		/// </summary>
		public string Video_Guid
		{
			set{ _video_guid=value;}
			get{return _video_guid;}
		}
		/// <summary>
		/// 类型视频（默认4）
		/// </summary>
		public DateTime? Video_Datetime
		{
			set{ _video_datetime=value;}
			get{return _video_datetime;}
		}
		/// <summary>
		/// 更新时间(本记录最近修改时间)
		/// </summary>
		public DateTime? Video_UpDatetime
		{
			set{ _video_updatetime=value;}
			get{return _video_updatetime;}
		}
		/// <summary>
		/// 是否审核(0未审核,1已审核)
		/// </summary>
		public int? Video_Verify
		{
			set{ _video_verify=value;}
			get{return _video_verify;}
		}
		/// <summary>
		/// 是否锁定(0未锁定,1锁定)
		/// </summary>
		public int? Video_Lock
		{
			set{ _video_lock=value;}
			get{return _video_lock;}
		}
		/// <summary>
		/// 数据状态(0正常,1不正常)
		/// </summary>
		public int? Video_State
		{
			set{ _video_state=value;}
			get{return _video_state;}
		}
		/// <summary>
		/// 是否删除(0未删除,1已删除)
		/// </summary>
		public int? Video_Delete
		{
			set{ _video_delete=value;}
			get{return _video_delete;}
		}
		/// <summary>
		/// 使用次数(本记录使用次数)
		/// </summary>
		public int? Video_Count
		{
			set{ _video_count=value;}
			get{return _video_count;}
		}
		/// <summary>
		/// 类型视频（4）
		/// </summary>
		public int? Video_Order
		{
			set{ _video_order=value;}
			get{return _video_order;}
		}
		/// <summary>
		/// 备注说明信息
		/// </summary>
		public string Video_Remark
		{
			set{ _video_remark=value;}
			get{return _video_remark;}
		}
		#endregion Model

	}
}

